Last modified: 2014-04-07 13:56:02 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21177 - Header levels change when only equal signs are left in the NTOC
Header levels change when only equal signs are left in the NTOC
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
WikiEditor (Other open bugs)
unspecified
PC All
: Low minor (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-19 10:26 UTC by Calcey QA
Modified: 2014-04-07 13:56 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Detailed error report with screen prints (86.85 KB, application/pdf)
2009-10-19 10:26 UTC, Calcey QA
Details
Detailed error report with screen prints to reproduce (35.87 KB, application/pdf)
2009-10-21 05:34 UTC, Calcey QA
Details

Description Calcey QA 2009-10-19 10:26:02 UTC
Created attachment 6681 [details]
Detailed error report with screen prints

Reporting against Babaco Release : r57727

Steps to Reproduce ::

1) Select a random page
2) Edit a section
3) Add several headings with sub headings 

==Heading 1==
==Heading 2==
==Heading 3==
===Heading 3.1===
====Heading 3.2====
=====Heading 3.3=====

4) Delete a Heading text (example delete Heading 3) and leave the equal signs
<<Heading 3.1 should be gone as a sub heading of Heading 2>>

5) Enter a space in between the lines
<<Heading 3.1 is becoming a sub heading of Heading 2>>

Expected Outcome::
The sub headings should not change there level


Test Environmet::

Browser (User-Agent): 	Opera/9.63 (Windows NT 6.0; U; en) Presto/2.1.1

Browser (User-Agent):	Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/530.17 (KHTML, like Gecko) Version/4.0 Safari/530.17

Browser (User-Agent): Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.14) Gecko/2009090905 Fedora/3.0.14-1.fc10 Firefox/3.0.14
Comment 1 Roan Kattouw 2009-10-19 18:34:27 UTC
Fixed in r57906.
Comment 2 Calcey QA 2009-10-21 05:34:33 UTC
Created attachment 6692 [details]
Detailed error report with screen prints to reproduce

Screen print attached
Comment 3 Calcey QA 2009-10-21 05:34:54 UTC
Reporting against Babaco Release : r57957


Steps to Reproduce ::
Use the same steps as above

<<The section where the space is given make the TOC display a small line>>

Expected Outcome::
The sub headings should not change there level and should not have any gaps


Test Environment::
Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0 (.NET CLR 3.5.30729)

Browser (User-Agent): 	Opera/9.63 (Windows NT 6.0; U; en) Presto/2.1.1
Comment 4 Roan Kattouw 2009-10-30 20:20:12 UTC
Fixed in r58374.
Comment 5 Calcey QA 2009-11-12 06:20:19 UTC
Reporting against Babaco Release : r58867


Steps to Reproduce ::
Use the same steps as above
Comment 6 Bugmeister Bot 2011-08-19 19:12:47 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 7 Andre Klapper 2014-04-07 13:56:02 UTC
Closing old tickets about Navigable TOC which is not worked on anymore.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links